ViennaCL - The Vienna Computing Library: viennacl::linalg::detail::ResultDataLarge< NumericT > Struct Template Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
viennacl::linalg::detail::ResultDataLarge< NumericT > Struct Template Reference

In this class the data of the result for large matrices is stored. More...

`#include <structs.hpp>`

## Public Member Functions
| ResultDataLarge (unsigned int mat_size)
| Initialize variables and memory for result. More...

## Public Attributes
std::vector< NumericT > | std_eigenvalues
| eigenvalues More...
viennacl::scalar< unsigned int > | g_num_one
| number of intervals containing one eigenvalue after the first step More...
viennacl::scalar< unsigned int > | g_num_blocks_mult
| number of (thread) blocks of intervals containing multiple eigenvalues after the first steo More...
viennacl::vector< NumericT > | g_left_one
| left interval limits of intervals containing one eigenvalue after the first iteration step More...
viennacl::vector< NumericT > | g_right_one
| right interval limits of intervals containing one eigenvalue after the first iteration step More...
viennacl::vector< unsigned int > | g_pos_one
| interval indices (position in sorted listed of eigenvalues) of intervals containing one eigenvalue after the first iteration step More...
viennacl::vector< NumericT > | g_left_mult
| left interval limits of intervals containing multiple eigenvalues after the first iteration step More...
viennacl::vector< NumericT > | g_right_mult
| right interval limits of intervals containing multiple eigenvalues after the first iteration step More...
viennacl::vector< unsigned int > | g_left_count_mult
| number of eigenvalues less than the left limit of the eigenvalue intervals containing multiple eigenvalues More...
viennacl::vector< unsigned int > | g_right_count_mult
| number of eigenvalues less than the right limit of the eigenvalue intervals containing multiple eigenvalues More...
viennacl::vector< unsigned int > | g_blocks_mult
| start addresses in g_left_mult etc. of blocks of intervals containing more than one eigenvalue after the first step More...
viennacl::vector< unsigned int > | g_blocks_mult_sum
| accumulated number of intervals in g_left_mult etc. of blocks of intervals containing more than one eigenvalue after the first step More...
viennacl::vector< NumericT > | g_lambda_mult
| eigenvalues that have been generated in the second step from intervals that still contained multiple eigenvalues after the first step More...
viennacl::vector< unsigned int > | g_pos_mult
| eigenvalue index of intervals that have been generated in the second processing step More...

## Detailed Description

### template<typename NumericT>
struct viennacl::linalg::detail::ResultDataLarge< NumericT >

In this class the data of the result for large matrices is stored.

Definition at line 125 of file structs.hpp.

## Constructor & Destructor Documentation

template<typename NumericT>

viennacl::linalg::detail::ResultDataLarge< NumericT >::ResultDataLarge | ( | unsigned int | mat_size | ) |
| inline

Initialize variables and memory for result.

Parameters

  mat_size | size of the matrix

Definition at line 171 of file structs.hpp.

## Member Data Documentation

template<typename NumericT>

viennacl::vector<unsigned int> viennacl::linalg::detail::ResultDataLarge< NumericT >::g_blocks_mult

start addresses in g_left_mult etc. of blocks of intervals containing more than one eigenvalue after the first step

Definition at line 156 of file structs.hpp.

template<typename NumericT>

viennacl::vector<unsigned int> viennacl::linalg::detail::ResultDataLarge< NumericT >::g_blocks_mult_sum

accumulated number of intervals in g_left_mult etc. of blocks of intervals containing more than one eigenvalue after the first step

Definition at line 159 of file structs.hpp.

template<typename NumericT>

viennacl::vector<NumericT> viennacl::linalg::detail::ResultDataLarge< NumericT >::g_lambda_mult

eigenvalues that have been generated in the second step from intervals that still contained multiple eigenvalues after the first step

Definition at line 162 of file structs.hpp.

template<typename NumericT>

viennacl::vector<unsigned int> viennacl::linalg::detail::ResultDataLarge< NumericT >::g_left_count_mult

number of eigenvalues less than the left limit of the eigenvalue intervals containing multiple eigenvalues

Definition at line 151 of file structs.hpp.

template<typename NumericT>

viennacl::vector<NumericT> viennacl::linalg::detail::ResultDataLarge< NumericT >::g_left_mult

left interval limits of intervals containing multiple eigenvalues after the first iteration step

Definition at line 146 of file structs.hpp.

template<typename NumericT>

viennacl::vector<NumericT> viennacl::linalg::detail::ResultDataLarge< NumericT >::g_left_one

left interval limits of intervals containing one eigenvalue after the first iteration step

Definition at line 137 of file structs.hpp.

template<typename NumericT>

viennacl::scalar<unsigned int> viennacl::linalg::detail::ResultDataLarge< NumericT >::g_num_blocks_mult

number of (thread) blocks of intervals containing multiple eigenvalues after the first steo

Definition at line 134 of file structs.hpp.

template<typename NumericT>

viennacl::scalar<unsigned int> viennacl::linalg::detail::ResultDataLarge< NumericT >::g_num_one

number of intervals containing one eigenvalue after the first step

Definition at line 131 of file structs.hpp.

template<typename NumericT>

viennacl::vector<unsigned int> viennacl::linalg::detail::ResultDataLarge< NumericT >::g_pos_mult

eigenvalue index of intervals that have been generated in the second processing step

Definition at line 165 of file structs.hpp.

template<typename NumericT>

viennacl::vector<unsigned int> viennacl::linalg::detail::ResultDataLarge< NumericT >::g_pos_one

interval indices (position in sorted listed of eigenvalues) of intervals containing one eigenvalue after the first iteration step

Definition at line 143 of file structs.hpp.

template<typename NumericT>

viennacl::vector<unsigned int> viennacl::linalg::detail::ResultDataLarge< NumericT >::g_right_count_mult

number of eigenvalues less than the right limit of the eigenvalue intervals containing multiple eigenvalues

Definition at line 154 of file structs.hpp.

template<typename NumericT>

viennacl::vector<NumericT> viennacl::linalg::detail::ResultDataLarge< NumericT >::g_right_mult

right interval limits of intervals containing multiple eigenvalues after the first iteration step

Definition at line 148 of file structs.hpp.

template<typename NumericT>

viennacl::vector<NumericT> viennacl::linalg::detail::ResultDataLarge< NumericT >::g_right_one

right interval limits of intervals containing one eigenvalue after the first iteration step

Definition at line 140 of file structs.hpp.

template<typename NumericT>

std::vector<NumericT> viennacl::linalg::detail::ResultDataLarge< NumericT >::std_eigenvalues

eigenvalues

Definition at line 128 of file structs.hpp.

The documentation for this struct was generated from the following file:

- viennacl/linalg/detail/bisect/structs.hpp